Move 91carriage/phpunit-hhi to requires

Since the tests are in strict, the HHI files are needed in any project
that includes this one or bad things happen.
parent ca2cd7ac
Pipeline #31 passed with stages
......@@ -4,14 +4,14 @@
"homepage": "https://git.simon.geek.nz/91-carriage/hack-requests",
"license": ["MIT"],
"require": {
"hhvm": ">=3.9.0"
"hhvm": ">=3.9.0",
"91carriage/phpunit-hhi": "~4.8"
},
"autoload": {
"psr-4": {"_91carriage\\Hack\\": ["src/"]}
},
"require-dev": {
"phpunit/phpunit": "~4.8",
"91carriage/phpunit-hhi": "~4.8"
"phpunit/phpunit": "~4.8"
},
"extra": {
"branch-alias": {
......
......@@ -4,9 +4,8 @@
"Read more about it at https://getcomposer.org/doc/01-basic-usage.md#composer-lock-the-lock-file",
"This file is @generated automatically"
],
"hash": "9130c06cbb32d19f535c91157d880a1a",
"packages": [],
"packages-dev": [
"hash": "a586b389a0bac8f2988b582ad2fb0649",
"packages": [
{
"name": "91carriage/phpunit-hhi",
"version": "4.8.2",
......@@ -205,16 +204,16 @@
},
{
"name": "phpunit/php-code-coverage",
"version": "2.2.2",
"version": "2.2.3",
"source": {
"type": "git",
"url": "https://github.com/sebastianbergmann/php-code-coverage.git",
"reference": "2d7c03c0e4e080901b8f33b2897b0577be18a13c"
"reference": "ef1ca6835468857944d5c3b48fa503d5554cff2f"
},
"dist": {
"type": "zip",
"url": "https://api.github.com/repos/sebastianbergmann/php-code-coverage/zipball/2d7c03c0e4e080901b8f33b2897b0577be18a13c",
"reference": "2d7c03c0e4e080901b8f33b2897b0577be18a13c",
"url": "https://api.github.com/repos/sebastianbergmann/php-code-coverage/zipball/ef1ca6835468857944d5c3b48fa503d5554cff2f",
"reference": "ef1ca6835468857944d5c3b48fa503d5554cff2f",
"shasum": ""
},
"require": {
......@@ -263,7 +262,7 @@
"testing",
"xunit"
],
"time": "2015-08-04 03:42:39"
"time": "2015-09-14 06:51:16"
},
{
"name": "phpunit/php-file-iterator",
......@@ -396,16 +395,16 @@
},
{
"name": "phpunit/php-token-stream",
"version": "1.4.6",
"version": "1.4.8",
"source": {
"type": "git",
"url": "https://github.com/sebastianbergmann/php-token-stream.git",
"reference": "3ab72c62e550370a6cd5dc873e1a04ab57562f5b"
"reference": "3144ae21711fb6cac0b1ab4cbe63b75ce3d4e8da"
},
"dist": {
"type": "zip",
"url": "https://api.github.com/repos/sebastianbergmann/php-token-stream/zipball/3ab72c62e550370a6cd5dc873e1a04ab57562f5b",
"reference": "3ab72c62e550370a6cd5dc873e1a04ab57562f5b",
"url": "https://api.github.com/repos/sebastianbergmann/php-token-stream/zipball/3144ae21711fb6cac0b1ab4cbe63b75ce3d4e8da",
"reference": "3144ae21711fb6cac0b1ab4cbe63b75ce3d4e8da",
"shasum": ""
},
"require": {
......@@ -441,20 +440,20 @@
"keywords": [
"tokenizer"
],
"time": "2015-08-16 08:51:00"
"time": "2015-09-15 10:49:45"
},
{
"name": "phpunit/phpunit",
"version": "4.8.6",
"version": "4.8.9",
"source": {
"type": "git",
"url": "https://github.com/sebastianbergmann/phpunit.git",
"reference": "2246830f4a1a551c67933e4171bf2126dc29d357"
"reference": "73fad41adb5b7bc3a494bb930d90648df1d5e74b"
},
"dist": {
"type": "zip",
"url": "https://api.github.com/repos/sebastianbergmann/phpunit/zipball/2246830f4a1a551c67933e4171bf2126dc29d357",
"reference": "2246830f4a1a551c67933e4171bf2126dc29d357",
"url": "https://api.github.com/repos/sebastianbergmann/phpunit/zipball/73fad41adb5b7bc3a494bb930d90648df1d5e74b",
"reference": "73fad41adb5b7bc3a494bb930d90648df1d5e74b",
"shasum": ""
},
"require": {
......@@ -513,7 +512,7 @@
"testing",
"xunit"
],
"time": "2015-08-24 04:09:38"
"time": "2015-09-20 12:56:44"
},
{
"name": "phpunit/phpunit-mock-objects",
......@@ -944,16 +943,16 @@
},
{
"name": "symfony/yaml",
"version": "v2.7.4",
"version": "v2.7.5",
"source": {
"type": "git",
"url": "https://github.com/symfony/Yaml.git",
"reference": "2dc7b06c065df96cc686c66da2705e5e18aef661"
"url": "https://github.com/symfony/yaml.git",
"reference": "31cb2ad0155c95b88ee55fe12bc7ff92232c1770"
},
"dist": {
"type": "zip",
"url": "https://api.github.com/repos/symfony/Yaml/zipball/2dc7b06c065df96cc686c66da2705e5e18aef661",
"reference": "2dc7b06c065df96cc686c66da2705e5e18aef661",
"url": "https://api.github.com/repos/symfony/yaml/zipball/31cb2ad0155c95b88ee55fe12bc7ff92232c1770",
"reference": "31cb2ad0155c95b88ee55fe12bc7ff92232c1770",
"shasum": ""
},
"require": {
......@@ -989,9 +988,10 @@
],
"description": "Symfony Yaml Component",
"homepage": "https://symfony.com",
"time": "2015-08-24 07:13:45"
"time": "2015-09-14 14:14:09"
}
],
"packages-dev": [],
"aliases": [],
"minimum-stability": "stable",
"stability-flags": [],
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment